public class TestDie
{	Die d;
	
	public TestDie()
	{	System.out.println("Testing Die Class");
		testSides();
		testRoll();
	}

	public void testSides()
	{	int i;
		boolean b = true;
		System.out.println("Testing Number of Sides");
		for(i = 1; i < 20; i++)
		{	d = new Die(i);
			if(d.sides() != i)
			{	System.out.println("Failed: Sent: " + i +
				"Retured: " + d.sides());
				b = false;
			}
		}
		i = (int)(Math.random() * 100000) + 1;
		d = new Die(i);
		if(d.sides() != i)
		{	System.out.println("Failed: Sent: " + i +
			"Retured: " + d.sides());
			b = false;
		}
		if(b)
		{	System.out.println("Passed");
		}
	}
	
	public void testRoll()
	{	System.out.println("Testing Roll Feature");
		boolean b = true;
		for(int i = 1; i < 20; i++)
		{	d = new Die(i);
			for(int j = 0; j < 20; j++)
			{	d.roll();
				if(d.top() < 1 || d.top() > i)
				{	System.out.println("Failed: Rolled: " +
					d.top() + " Sides = " + i);
					b = false;
				}	
			}
		}
		if(b)
		{	System.out.println("Passed");
		}
	}
	
	public static void main(String args[])
	{	TestDie tD = new TestDie();
	}
}
