/*
 * DieInterface.java
 * Created on January 3, 2004, 10:00 AM
 */

/**
 * Defines the methods that all "Die" objects must have.
 * @author  deppeler
 */
public interface DieInterface {

    /** Returns the number of sides of this die object. */
    public int sides();
    
    /** Rolls the Die object.  (Changes the value of top.) */
    public void roll();
    
    /** Returns the current value on the top of this Die object. */
    public int top();
    
}
