public class Die implements DieInterface
{	private int numSides;
	private int curTop;
	
	public Die(int sides)
	{	if(sides > 0)
		{	numSides = sides;
			roll();
		}
		else
		{	System.out.println("A Die must have at least 1 side");
			System.exit(0);
		}
	}
	
	public void roll()
	{	curTop = (int)(Math.random() * numSides) + 1;
	}

	public int sides()
	{	return numSides;
	}

	public int top()
	{	return curTop;
	}
}
